import sys
import pytest


class User:
    def __init__(self, username, is_admin=False):
        self.username = username
        self.is_admin = is_admin


@pytest.fixture
def user():
    return User('me')


@pytest.fixture
def admin_user(user):
    user.username = 'admin'
    user.is_admin = True
    return user


def test_me(user, admin_user):
    print('repr(user): ', repr(user))
    print('repr(admin_user): ', repr(admin_user))
