import os
import pytest
from phonebook import Phonebook

@pytest.fixture
def phonebook(request, tmpdir):
    current_dir = os.getcwd()
    os.chdir(tmpdir)
    phonebook = Phonebook()
    def cleanup():
        phonebook.close()
        os.chdir(current_dir)
        
    return phonebook

def test_lookup_entry(phonebook):
    phonebook.add("Bob", "123")
    assert "123" == phonebook.lookup("Bob")


