from sqlalchemy import *
from sqlalchemy.orm import *
from sqlalchemy.ext.declarative import declarative_base

class Mapped(declarative_base()):
    __tablename__ = "mapped"
    id = Column(Integer, primary_key=True)

def test_loop():
    engine = create_engine("sqlite:///:memory:")
    session = sessionmaker(engine)()
    m = Mapped()
    session.add(m)
    session.commit()
