import pytest
import unittest

@pytest.fixture(params=(0,1,2))
def param1(request):
    return request.param

@pytest.fixture(params=('a','b'))
def param2(request, param1):
    return (param1, request.param)

@pytest.fixture()
def param1a(request, param1):
    if param1 == 1:
        return 0
    else:
        return 7

@pytest.mark.usefixtures('param2', 'param1a')
class TestClass(unittest.TestCase):
    def test_method(self):
        if self.param2[0] == 1:
            assert self.param1a == 0
        else:
            assert self.param1a == 7
