#!/usr/bin/env python3
import pytest

@pytest.fixture()
def foo(request, bar):
    s = '%s/foo-%d' % (bar, request.param)
    print('preparing', s)
    return s

@pytest.fixture()
def bar(request):
    s = 'bar-%d' % request.param
    print('preparing', s)
    return s

def test_one(foo):
    pass

def pytest_generate_tests(metafunc):
    foo_params = (1,2)
    bar_params = (1,2)
    if not 'foo' in metafunc.fixturenames:
        return
    assert 'bar' in metafunc.fixturenames
    
    metafunc.parametrize("foo", foo_params, indirect=True, scope='module')
    metafunc.parametrize("bar", bar_params, indirect=True, scope='module')

